os 10.8.5

  1. H

    Logic Pro 9 Logic 9 and OS 10.8.5

    I've been running Logic 9 on Snow Leopard (10.6.8) and need to upgrade to OS 10.8.5 Does anyone know of any reason why these two should not be united? thanks
Top